Status: Closed Priority: Should have
Author: Robert Lemke Category:
Created: 2007-02-28 Assigned To: Karsten Dambekalns
Updated: 2011-05-05 Due date:
Subject: Restructure unit tests
Description

Move the unit tests which are currently in the phpCRJackrabbit package into the phpCR package. They will than act more as
integration tests than as true unit tests and make it possible to test different implementations of the phpCR (Jackrabbit, TYPO3 CR,
...).

The tests must be triggered by the phpCRJackrabbit and the TYPO3CR packages respectively, therefore the phpCR tests must
somehow be configured to work with either one's Repository implementation. How that is done is still up for discussion.

History
#1 - 2007-03-01 00:40 - Karsten Dambekalns
- Status changed from New to Accepted

I will start moving the unit tests one by one to the phpCR package, and do some cleanup and fixes on the way. The current dependencies to the actual
Jackrabbit implementation will be moved to a centralized place, so that later on changing them to be truly generic is easy.

#2 - 2007-03-09 12:00 - Karsten Dambekalns
(In r182) First results of generalizing the phpCRJackrabbit unit tests and moving them into the phpCR package (refs #33):
    -  The test base class has been slightly changed and simplified
    -  Three tests have already been moved over and audited on the way

Those tests run without failures currently.

#3 - 2007-12-06 17:17 - Robert Lemke
- Status changed from Accepted to Closed
- Sprint set to wontfix

Since we removed the phpCRJackrabbit package, I also close this ticket.

#4 - 2008-07-01 17:25 - Robert Lemke
- Target version deleted (1)
